#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# C.f. http://theautomatic.net/2019/01/19/scraping-data-from-javascript-webpage-python/

# pip install requests-html

# import HTMLSession from requests_html
from requests_html import HTMLSession

lat = "48.735709"
lng = "2.0722315"

# GET HTML ################################################################

# create an HTML Session object
session = HTMLSession()

# Use the object above to connect to needed webpage
resp = session.get(f"https://www.airparif.asso.fr/surveiller-la-pollution/la-prevision?lat={lat}&lng={lng}")

# Run JavaScript code on webpage
resp.html.render()

# PARSE HTML ##############################################################

indice = resp.html.xpath("//div[@class='pollutant-value']")[0].text
o3 = resp.html.xpath("//tr[@data-pid='o3']//div[@class='pollutant-value']")[0].text
no2 = resp.html.xpath("//tr[@data-pid='no2']//div[@class='pollutant-value']")[0].text
pm10 = resp.html.xpath("//tr[@data-pid='pm10']//div[@class='pollutant-value']")[0].text
pm25 = resp.html.xpath("//tr[@data-pid='pm25']//div[@class='pollutant-value']")[0].text
so2 = resp.html.xpath("//tr[@data-pid='so2']//div[@class='pollutant-value']")[0].text

#indice_to_figure = {
#    "Bonne": 1,
#    "Moyenne": 2,
#    "Dégradé": 3,
#    "Mauvais": 4,
#    "Très mauvais": 5,
#    "Extrêmement mauvais ": 6
#}

print("Indice de la qualité de l'air", indice)
print("Ozone (O₃) ", o3)
print("Dioxyde d'Azote (NO₂) ", no2)
print("Particules (diamètre inférieur à 10µm) (PM₁₀) ", pm10)
print("Particules fines (diamètre inférieur à 2,5µm) (PM₂.₅) ", pm25)
print("Dioxyde de soufre (SO₂)", so2)