#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# C.f. http://theautomatic.net/2019/01/19/scraping-data-from-javascript-webpage-python/

# pip install requests-html

# import HTMLSession from requests_html
from requests_html import HTMLSession

city = "magny-les-hameaux"
zipcode = "78114"

# GET HTML ################################################################

# create an HTML Session object
session = HTMLSession()

# Use the object above to connect to needed webpage
resp = session.get(f"https://meteofrance.com/previsions-meteo-france/{city}/{zipcode}")

# Run JavaScript code on webpage
resp.html.render()

# PARSE HTML ##############################################################

# To get weather forecast too: [x.text for x in resp.html.xpath("//div[@class='weather_temp']/p")]
temperature = int(resp.html.xpath("//div[@class='weather_temp']/p")[0].text.replace("°", ""))

print("Temperature", temperature)